
Katello - Bug #4584

The dynflow tests don't load fixtures, Rails helpers unless they use a model name

03/07/2014 12:55 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With minitest-spec-rails, the "describe" call can only be used for certain items:

https://github.com/metaskills/minitest-spec-rails#test-styles

Otherwise, you must use the subclass style to encapsulate your test. You can then use a describe inside (e.g. 

https://gist.github.com/daviddavis/4e4a0cb389b4685ae19a).

Associated revisions

Revision 49be817e - 03/13/2014 11:34 AM - Ivan Necas

Fixes #4584 - use test class instead of describe

Otherwise strange things happen

History

#1 - 03/07/2014 12:56 PM - David Davis

Here is the discussion that raised this issue:

https://github.com/Katello/katello/pull/3743#discussion_r10357728

#2 - 03/13/2014 02:53 PM - Ivan Necas

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:49be817edf6df924c7bea216aa8b11d06af3f7e5.

#3 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#4 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
